Create Access Token

To create an access token via the /oauth/access-token API, an API user may choose any one of the grant types it supports: Authorization Code Grant, Client Credential Grant, Password Credential Grant or Refresh Token Grant. Provide "?mode=details" in query string to receive response identical to GET /v4/oauth/access-token/details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

To create an access token via the /oauth/access-token API, an API user may choose any one of the grant types it supports: Authorization Code Grant, Client Credential Grant, Password Credential Grant or Refresh Token Grant. Provide "?mode=details" in query string to receive response identical to GET /v4/oauth/access-token/details

enum
required

authorization_code, client_credentials, password or refresh_token

Allowed:
string
required

Client ID

string
required

Client Secret Key

string | null

User name

string | null

Phone number

string | null

account-owner, extension-user and/or methods:ALL, separated by space

string | null

The redirect URI where user enters authentication information

string | null

Authorization Code created via the /oauth/authorization API

string | null

Refresh token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json